Skip to content

/api/v1/facilities/{facilityId}/routing/destinations (POST)

POST
/api/v1/facilities/{facilityId}/routing/destinations
curl --request POST \
--url https://example.com/api/v1/facilities/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/routing/destinations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "code": "example", "name": "example", "type": "PackStation", "equipmentNodeId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "putWallCode": null }'
facilityId
required
string format: uuid
object
code
required
string
name
required
string
type
required
string
nullable
Allowed values: PackStation PutWallInduction ShipSortLane Exception
equipmentNodeId
required
string format: uuid
putWallCode
string
nullable

Created

object
id
required
string format: uuid
facilityId
required
string format: uuid
code
required
string
name
required
string
type
required
string
Allowed values: PackStation PutWallInduction ShipSortLane Exception
equipmentNodeId
required
string format: uuid
equipmentNodeCode
required
string
putWallCode
required
string
nullable
dockDoorId
required
string format: uuid
nullable
status
required
string
Allowed values: Active Inactive PendingDelete
createdAt
required
string format: date-time
updatedAt
required
string format: date-time

Bad Request

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Not Found

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Conflict

object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable

Service Unavailable